@startuml

Core -> AlgorithmScmMonolithisch : Trigger()
actor AlgorithmScmMonolithisch
AlgorithmScmMonolithisch -> scmModelState : Trigger()

entity Monostate
entity SpawningState
entity LivingState
entity CollidedState

alt scmModelState == Monostate
   scmModelState -> Monostate : NothingToDoYet()
   
else scmModelState == SpawningState   
   scmModelState -> SpawningState : Trigger()

else scmModelState == LivingState
   scmModelState --> LivingState : Trigger()
   
else scmModelState == CollidedState
   scmModelState --> CollidedState : NothingToDoAnymore()
end

@enduml

